Page MenuHomePhabricator

Create Jenkins builds for Editing across repositories (MobileFrontend, VisualEditor etc)
Closed, InvalidPublic

Description

We would like to come up with a project which will checkout multiple repositories at once and run all kind of editing tests on the same build from multiple repositories.
Right now, we have tests for VisualEditor and MobileFrontend repositories and it will be nice to incorporate Flow repo as well.

Related Objects

StatusAssignedTask
Resolvedhashar
OpenNone
InvalidRyasmeen
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
DuplicateNone
Resolvedbd808
DuplicateNone
DeclinedNone
Declinedhashar
Resolvedhashar
DeclinedNone
Declinedchasemp
DeclinedNone
Resolvedcoren
Invalidhashar
Resolvedhashar
Declinedhashar
ResolvedCmjohnson
ResolvedCmjohnson
Resolvedhashar
ResolvedKrinkle
ResolvedKrinkle
ResolvedKrinkle
Resolvedhashar
ResolvedKrinkle
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
ResolvedAndrew
ResolvedKrinkle
Resolvedhashar
ResolvedKrinkle
ResolvedPaladox
ResolvedLegoktm
ResolvedLegoktm
ResolvedLegoktm
ResolvedLegoktm
ResolvedPaladox
ResolvedLegoktm
ResolvedLegoktm
Resolvedhashar
Resolvedhashar
Resolved yuvipanda

Event Timeline

Ryasmeen updated the task description. (Show Details)
Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen claimed this task.
Ryasmeen added subscribers: Ryasmeen, Cmcmahon, greg and 2 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2015, 10:18 PM
Jdforrester-WMF triaged this task as Normal priority.Mar 12 2015, 5:30 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 10 2015, 6:05 PM
hashar added a comment.EditedApr 10 2015, 10:15 PM

We have some utilities to do so. Namely Zuul cloner which let you clone multiple repositories and sync their branches.

The way we setup MediaWiki is not ideal though and there is no good/easy framework to bootstrap a MediaWiki system on the continuous integration system. We would need to end up with something similar to MediaWiki Vagrant which make it trivial to spawn a full stack installation.

Anyway, the blocker is having the ability to spawn isolated VM which is Continuous-Integration-Scaling / T47499

That will eventually lead us to run the browser tests whenever people propose a patch in Gerrit! T55697

Qgil added a subscriber: Qgil.May 18 2015, 11:12 AM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

Qgil added a comment.May 27 2015, 10:23 PM

Did someone work on this project during Wikimedia-Hackathon-2015? If so, please update the task with the results. If not, please remove the label.

@Ryasmeen do you still plan to work on this, or can this be closed? Do you need help?

hashar closed this task as Invalid.Oct 6 2015, 12:33 PM

Apparently not intensive to follow up on this. Feel free to reopen and better expose what needs to be done.